nerr_pass(3)

NAME
nerr_pass

SYNOPSIS
#include <util/neo_err.h> nerr_pass()

ARGUMENTS
with the macro, the function name, file and lineno are
automagically recorded. Just pass the error.

DESCRIPTION
this function is used to pass an error up a level in the call chain (ie, if the error isn't handled at the current level). This allows us to track the traceback of the error.

SEE ALSO
nerr_error_traceback(3), nerr_pass(3), nerr_error_string(3), defined(3), nerr_pass_ctx(3), nerr_passf(3), nerr_init(3), nerr_match(3), nerr_log_error(3), nerr_ignore(3), nerr_register(3), nerr_handle